import { defineComponent as v, useSlots as x, shallowRef as g, openBlock as F, createBlock as k, normalizeProps as r, guardReactiveProps as s, unref as e, createSlots as p, withCtx as d, createVNode as w, mergeProps as P, renderList as u, renderSlot as f } from "vue";
import { omit as m, pick as S } from "lodash-unified";
import { ApField as _ } from "../../../ap-field/index.mjs";
import { apFormItemSlotNames as c } from "../../constant.mjs";
import "../../item/index.vue2.mjs";
import C from "../../item/index.vue.mjs";
const z = /* @__PURE__ */ v({
  name: "ApFormItemPassword",
  __name: "password",
  props: {
    htmlFor: {},
    prefixCls: {},
    label: {},
    help: {},
    extra: {},
    labelCol: {},
    wrapperCol: {},
    hasFeedback: { type: Boolean, default: !1 },
    colon: { type: Boolean, default: void 0 },
    labelAlign: {},
    prop: {},
    name: {},
    rules: {},
    autoLink: { type: Boolean, default: !0 },
    required: { type: Boolean, default: void 0 },
    validateFirst: { type: Boolean, default: void 0 },
    validateStatus: {},
    validateTrigger: {},
    messageVariables: {},
    hidden: { type: Boolean },
    noStyle: { type: Boolean },
    tooltip: {},
    span: {},
    order: {},
    offset: {},
    push: {},
    pull: {},
    xs: {},
    sm: {},
    md: {},
    lg: {},
    xl: {},
    xxl: {},
    flex: {},
    bordered: { type: Boolean },
    valuePropName: {},
    initialValue: {},
    _signal: {},
    transform: {},
    description: {},
    customFilled: {},
    disabled: { type: Boolean, default: void 0 },
    autoFocus: { type: Boolean },
    field: { default: () => ({}) },
    placeholder: {}
  },
  setup(l, { expose: b }) {
    const { Text: h } = _, n = x(), y = l, a = g();
    return b({
      focus: () => {
        a.value?.focus();
      },
      blur: () => {
        a.value?.blur();
      }
    }), (i, N) => (F(), k(C, r(s(e(m)(y, ["field", "disabled", "placeholder"]))), p({
      default: d(() => [
        w(e(h).Password, P({
          ref_key: "inputRef",
          ref: a,
          disabled: l.disabled,
          placeholder: l.placeholder
        }, l.field), p({ _: 2 }, [
          u(e(m)(n, e(c)), (B, o) => ({
            name: o,
            fn: d((t) => [
              f(i.$slots, o, r(s(t || {})))
            ])
          }))
        ]), 1040, ["disabled", "placeholder"])
      ]),
      _: 2
    }, [
      u(e(S)(n, e(c)), (B, o) => ({
        name: o,
        fn: d((t) => [
          f(i.$slots, o, r(s(t || {})))
        ])
      }))
    ]), 1040));
  }
});
export {
  z as default
};
